package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (PoOrder)实体类
 *
 * @author makejava
 * @since 2023-08-25 08:52:02
 */
public class PoOrderEntity extends BaseEntity {

    private String bcooptoso;
    private String bislatest;
    private String bisreplenish;
    private String bpubtoec;
    private String breturn;
    private String bsocooptome;
    private String caccountbankid;
    private String caccountyear;
    private String cauditpsn;
    private String cbiztype;
    private String ccontracttextpath;
    private String cdeliveraddress;
    private String cdeptid;
    private String cemployeeid;
    private String cfreecustid;
    private String cgiveinvoicevendor;
    private String coperator;
    private String corderid;
    private String cpubpsn;
    private String cpurorganization;
    private String creciever;
    private String cresppsn;
    private String crevisepsn;
    private String ctermprotocolid;
    private String ctransmodeid;
    private String cunfreeze;
    private String cvendorbaseid;
    private String cvendormangid;
    private String dauditdate;
    private String dorderdate;
    private Long dr;
    private String drevisiondate;
    private Long forderstatus;
    private Long iprintcount;
    private Long irespstatus;
    private String nprepaymaxmny;
    private String nprepaymny;
    private String ntotalmny;
    private String ntotalnum;
    private Long nversion;
    private String pkCorp;
    private String pkDefdoc1;
    private String pkDefdoc10;
    private String pkDefdoc11;
    private String pkDefdoc12;
    private String pkDefdoc13;
    private String pkDefdoc14;
    private String pkDefdoc15;
    private String pkDefdoc16;
    private String pkDefdoc17;
    private String pkDefdoc18;
    private String pkDefdoc19;
    private String pkDefdoc2;
    private String pkDefdoc20;
    private String pkDefdoc3;
    private String pkDefdoc4;
    private String pkDefdoc5;
    private String pkDefdoc6;
    private String pkDefdoc7;
    private String pkDefdoc8;
    private String pkDefdoc9;
    private String taudittime;
    private String tlastmaketime;
    private String tmaketime;
    private String tpubtime;
    private String tresptime;
    private String trevisiontime;
    private String ts;
    private String vcoopordercode;
    private String vdef1;
    private String vdef10;
    private String vdef11;
    private String vdef12;
    private String vdef13;
    private String vdef14;
    private String vdef15;
    private String vdef16;
    private String vdef17;
    private String vdef18;
    private String vdef19;
    private String vdef2;
    private String vdef20;
    private String vdef3;
    private String vdef4;
    private String vdef5;
    private String vdef6;
    private String vdef7;
    private String vdef8;
    private String vdef9;
    private String vmemo;
    private String vordercode;
    private String vrefusrsn;

    /**
     * 审批开始时间
     */
    private String start_dauditdate;

    /**
     * 审批结束时间
     */
    private String end_dauditdate;

    /**
     * 旺店通原始订单号
     */
    private String wdt_vordercode;

    public String getWdt_vordercode() {
        return wdt_vordercode;
    }

    public void setWdt_vordercode(String wdt_vordercode) {
        this.wdt_vordercode = wdt_vordercode;
    }

    public String getStart_dauditdate() {
        return start_dauditdate;
    }

    public void setStart_dauditdate(String start_dauditdate) {
        this.start_dauditdate = start_dauditdate;
    }

    public String getEnd_dauditdate() {
        return end_dauditdate;
    }

    public void setEnd_dauditdate(String end_dauditdate) {
        this.end_dauditdate = end_dauditdate;
    }

    public String getBcooptoso() {
        return bcooptoso;
    }

    public void setBcooptoso(String bcooptoso) {
        this.bcooptoso = bcooptoso;
    }

    public String getBislatest() {
        return bislatest;
    }

    public void setBislatest(String bislatest) {
        this.bislatest = bislatest;
    }

    public String getBisreplenish() {
        return bisreplenish;
    }

    public void setBisreplenish(String bisreplenish) {
        this.bisreplenish = bisreplenish;
    }

    public String getBpubtoec() {
        return bpubtoec;
    }

    public void setBpubtoec(String bpubtoec) {
        this.bpubtoec = bpubtoec;
    }

    public String getBreturn() {
        return breturn;
    }

    public void setBreturn(String breturn) {
        this.breturn = breturn;
    }

    public String getBsocooptome() {
        return bsocooptome;
    }

    public void setBsocooptome(String bsocooptome) {
        this.bsocooptome = bsocooptome;
    }

    public String getCaccountbankid() {
        return caccountbankid;
    }

    public void setCaccountbankid(String caccountbankid) {
        this.caccountbankid = caccountbankid;
    }

    public String getCaccountyear() {
        return caccountyear;
    }

    public void setCaccountyear(String caccountyear) {
        this.caccountyear = caccountyear;
    }

    public String getCauditpsn() {
        return cauditpsn;
    }

    public void setCauditpsn(String cauditpsn) {
        this.cauditpsn = cauditpsn;
    }

    public String getCbiztype() {
        return cbiztype;
    }

    public void setCbiztype(String cbiztype) {
        this.cbiztype = cbiztype;
    }

    public String getCcontracttextpath() {
        return ccontracttextpath;
    }

    public void setCcontracttextpath(String ccontracttextpath) {
        this.ccontracttextpath = ccontracttextpath;
    }

    public String getCdeliveraddress() {
        return cdeliveraddress;
    }

    public void setCdeliveraddress(String cdeliveraddress) {
        this.cdeliveraddress = cdeliveraddress;
    }

    public String getCdeptid() {
        return cdeptid;
    }

    public void setCdeptid(String cdeptid) {
        this.cdeptid = cdeptid;
    }

    public String getCemployeeid() {
        return cemployeeid;
    }

    public void setCemployeeid(String cemployeeid) {
        this.cemployeeid = cemployeeid;
    }

    public String getCfreecustid() {
        return cfreecustid;
    }

    public void setCfreecustid(String cfreecustid) {
        this.cfreecustid = cfreecustid;
    }

    public String getCgiveinvoicevendor() {
        return cgiveinvoicevendor;
    }

    public void setCgiveinvoicevendor(String cgiveinvoicevendor) {
        this.cgiveinvoicevendor = cgiveinvoicevendor;
    }

    public String getCoperator() {
        return coperator;
    }

    public void setCoperator(String coperator) {
        this.coperator = coperator;
    }

    public String getCorderid() {
        return corderid;
    }

    public void setCorderid(String corderid) {
        this.corderid = corderid;
    }

    public String getCpubpsn() {
        return cpubpsn;
    }

    public void setCpubpsn(String cpubpsn) {
        this.cpubpsn = cpubpsn;
    }

    public String getCpurorganization() {
        return cpurorganization;
    }

    public void setCpurorganization(String cpurorganization) {
        this.cpurorganization = cpurorganization;
    }

    public String getCreciever() {
        return creciever;
    }

    public void setCreciever(String creciever) {
        this.creciever = creciever;
    }

    public String getCresppsn() {
        return cresppsn;
    }

    public void setCresppsn(String cresppsn) {
        this.cresppsn = cresppsn;
    }

    public String getCrevisepsn() {
        return crevisepsn;
    }

    public void setCrevisepsn(String crevisepsn) {
        this.crevisepsn = crevisepsn;
    }

    public String getCtermprotocolid() {
        return ctermprotocolid;
    }

    public void setCtermprotocolid(String ctermprotocolid) {
        this.ctermprotocolid = ctermprotocolid;
    }

    public String getCtransmodeid() {
        return ctransmodeid;
    }

    public void setCtransmodeid(String ctransmodeid) {
        this.ctransmodeid = ctransmodeid;
    }

    public String getCunfreeze() {
        return cunfreeze;
    }

    public void setCunfreeze(String cunfreeze) {
        this.cunfreeze = cunfreeze;
    }

    public String getCvendorbaseid() {
        return cvendorbaseid;
    }

    public void setCvendorbaseid(String cvendorbaseid) {
        this.cvendorbaseid = cvendorbaseid;
    }

    public String getCvendormangid() {
        return cvendormangid;
    }

    public void setCvendormangid(String cvendormangid) {
        this.cvendormangid = cvendormangid;
    }

    public String getDauditdate() {
        return dauditdate;
    }

    public void setDauditdate(String dauditdate) {
        this.dauditdate = dauditdate;
    }

    public String getDorderdate() {
        return dorderdate;
    }

    public void setDorderdate(String dorderdate) {
        this.dorderdate = dorderdate;
    }

    public Long getDr() {
        return dr;
    }

    public void setDr(Long dr) {
        this.dr = dr;
    }

    public String getDrevisiondate() {
        return drevisiondate;
    }

    public void setDrevisiondate(String drevisiondate) {
        this.drevisiondate = drevisiondate;
    }

    public Long getForderstatus() {
        return forderstatus;
    }

    public void setForderstatus(Long forderstatus) {
        this.forderstatus = forderstatus;
    }

    public Long getIprintcount() {
        return iprintcount;
    }

    public void setIprintcount(Long iprintcount) {
        this.iprintcount = iprintcount;
    }

    public Long getIrespstatus() {
        return irespstatus;
    }

    public void setIrespstatus(Long irespstatus) {
        this.irespstatus = irespstatus;
    }

    public String getNprepaymaxmny() {
        return nprepaymaxmny;
    }

    public void setNprepaymaxmny(String nprepaymaxmny) {
        this.nprepaymaxmny = nprepaymaxmny;
    }

    public String getNprepaymny() {
        return nprepaymny;
    }

    public void setNprepaymny(String nprepaymny) {
        this.nprepaymny = nprepaymny;
    }

    public String getNtotalmny() {
        return ntotalmny;
    }

    public void setNtotalmny(String ntotalmny) {
        this.ntotalmny = ntotalmny;
    }

    public String getNtotalnum() {
        return ntotalnum;
    }

    public void setNtotalnum(String ntotalnum) {
        this.ntotalnum = ntotalnum;
    }

    public Long getNversion() {
        return nversion;
    }

    public void setNversion(Long nversion) {
        this.nversion = nversion;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkDefdoc1() {
        return pkDefdoc1;
    }

    public void setPkDefdoc1(String pkDefdoc1) {
        this.pkDefdoc1 = pkDefdoc1;
    }

    public String getPkDefdoc10() {
        return pkDefdoc10;
    }

    public void setPkDefdoc10(String pkDefdoc10) {
        this.pkDefdoc10 = pkDefdoc10;
    }

    public String getPkDefdoc11() {
        return pkDefdoc11;
    }

    public void setPkDefdoc11(String pkDefdoc11) {
        this.pkDefdoc11 = pkDefdoc11;
    }

    public String getPkDefdoc12() {
        return pkDefdoc12;
    }

    public void setPkDefdoc12(String pkDefdoc12) {
        this.pkDefdoc12 = pkDefdoc12;
    }

    public String getPkDefdoc13() {
        return pkDefdoc13;
    }

    public void setPkDefdoc13(String pkDefdoc13) {
        this.pkDefdoc13 = pkDefdoc13;
    }

    public String getPkDefdoc14() {
        return pkDefdoc14;
    }

    public void setPkDefdoc14(String pkDefdoc14) {
        this.pkDefdoc14 = pkDefdoc14;
    }

    public String getPkDefdoc15() {
        return pkDefdoc15;
    }

    public void setPkDefdoc15(String pkDefdoc15) {
        this.pkDefdoc15 = pkDefdoc15;
    }

    public String getPkDefdoc16() {
        return pkDefdoc16;
    }

    public void setPkDefdoc16(String pkDefdoc16) {
        this.pkDefdoc16 = pkDefdoc16;
    }

    public String getPkDefdoc17() {
        return pkDefdoc17;
    }

    public void setPkDefdoc17(String pkDefdoc17) {
        this.pkDefdoc17 = pkDefdoc17;
    }

    public String getPkDefdoc18() {
        return pkDefdoc18;
    }

    public void setPkDefdoc18(String pkDefdoc18) {
        this.pkDefdoc18 = pkDefdoc18;
    }

    public String getPkDefdoc19() {
        return pkDefdoc19;
    }

    public void setPkDefdoc19(String pkDefdoc19) {
        this.pkDefdoc19 = pkDefdoc19;
    }

    public String getPkDefdoc2() {
        return pkDefdoc2;
    }

    public void setPkDefdoc2(String pkDefdoc2) {
        this.pkDefdoc2 = pkDefdoc2;
    }

    public String getPkDefdoc20() {
        return pkDefdoc20;
    }

    public void setPkDefdoc20(String pkDefdoc20) {
        this.pkDefdoc20 = pkDefdoc20;
    }

    public String getPkDefdoc3() {
        return pkDefdoc3;
    }

    public void setPkDefdoc3(String pkDefdoc3) {
        this.pkDefdoc3 = pkDefdoc3;
    }

    public String getPkDefdoc4() {
        return pkDefdoc4;
    }

    public void setPkDefdoc4(String pkDefdoc4) {
        this.pkDefdoc4 = pkDefdoc4;
    }

    public String getPkDefdoc5() {
        return pkDefdoc5;
    }

    public void setPkDefdoc5(String pkDefdoc5) {
        this.pkDefdoc5 = pkDefdoc5;
    }

    public String getPkDefdoc6() {
        return pkDefdoc6;
    }

    public void setPkDefdoc6(String pkDefdoc6) {
        this.pkDefdoc6 = pkDefdoc6;
    }

    public String getPkDefdoc7() {
        return pkDefdoc7;
    }

    public void setPkDefdoc7(String pkDefdoc7) {
        this.pkDefdoc7 = pkDefdoc7;
    }

    public String getPkDefdoc8() {
        return pkDefdoc8;
    }

    public void setPkDefdoc8(String pkDefdoc8) {
        this.pkDefdoc8 = pkDefdoc8;
    }

    public String getPkDefdoc9() {
        return pkDefdoc9;
    }

    public void setPkDefdoc9(String pkDefdoc9) {
        this.pkDefdoc9 = pkDefdoc9;
    }

    public String getTaudittime() {
        return taudittime;
    }

    public void setTaudittime(String taudittime) {
        this.taudittime = taudittime;
    }

    public String getTlastmaketime() {
        return tlastmaketime;
    }

    public void setTlastmaketime(String tlastmaketime) {
        this.tlastmaketime = tlastmaketime;
    }

    public String getTmaketime() {
        return tmaketime;
    }

    public void setTmaketime(String tmaketime) {
        this.tmaketime = tmaketime;
    }

    public String getTpubtime() {
        return tpubtime;
    }

    public void setTpubtime(String tpubtime) {
        this.tpubtime = tpubtime;
    }

    public String getTresptime() {
        return tresptime;
    }

    public void setTresptime(String tresptime) {
        this.tresptime = tresptime;
    }

    public String getTrevisiontime() {
        return trevisiontime;
    }

    public void setTrevisiontime(String trevisiontime) {
        this.trevisiontime = trevisiontime;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getVcoopordercode() {
        return vcoopordercode;
    }

    public void setVcoopordercode(String vcoopordercode) {
        this.vcoopordercode = vcoopordercode;
    }

    public String getVdef1() {
        return vdef1;
    }

    public void setVdef1(String vdef1) {
        this.vdef1 = vdef1;
    }

    public String getVdef10() {
        return vdef10;
    }

    public void setVdef10(String vdef10) {
        this.vdef10 = vdef10;
    }

    public String getVdef11() {
        return vdef11;
    }

    public void setVdef11(String vdef11) {
        this.vdef11 = vdef11;
    }

    public String getVdef12() {
        return vdef12;
    }

    public void setVdef12(String vdef12) {
        this.vdef12 = vdef12;
    }

    public String getVdef13() {
        return vdef13;
    }

    public void setVdef13(String vdef13) {
        this.vdef13 = vdef13;
    }

    public String getVdef14() {
        return vdef14;
    }

    public void setVdef14(String vdef14) {
        this.vdef14 = vdef14;
    }

    public String getVdef15() {
        return vdef15;
    }

    public void setVdef15(String vdef15) {
        this.vdef15 = vdef15;
    }

    public String getVdef16() {
        return vdef16;
    }

    public void setVdef16(String vdef16) {
        this.vdef16 = vdef16;
    }

    public String getVdef17() {
        return vdef17;
    }

    public void setVdef17(String vdef17) {
        this.vdef17 = vdef17;
    }

    public String getVdef18() {
        return vdef18;
    }

    public void setVdef18(String vdef18) {
        this.vdef18 = vdef18;
    }

    public String getVdef19() {
        return vdef19;
    }

    public void setVdef19(String vdef19) {
        this.vdef19 = vdef19;
    }

    public String getVdef2() {
        return vdef2;
    }

    public void setVdef2(String vdef2) {
        this.vdef2 = vdef2;
    }

    public String getVdef20() {
        return vdef20;
    }

    public void setVdef20(String vdef20) {
        this.vdef20 = vdef20;
    }

    public String getVdef3() {
        return vdef3;
    }

    public void setVdef3(String vdef3) {
        this.vdef3 = vdef3;
    }

    public String getVdef4() {
        return vdef4;
    }

    public void setVdef4(String vdef4) {
        this.vdef4 = vdef4;
    }

    public String getVdef5() {
        return vdef5;
    }

    public void setVdef5(String vdef5) {
        this.vdef5 = vdef5;
    }

    public String getVdef6() {
        return vdef6;
    }

    public void setVdef6(String vdef6) {
        this.vdef6 = vdef6;
    }

    public String getVdef7() {
        return vdef7;
    }

    public void setVdef7(String vdef7) {
        this.vdef7 = vdef7;
    }

    public String getVdef8() {
        return vdef8;
    }

    public void setVdef8(String vdef8) {
        this.vdef8 = vdef8;
    }

    public String getVdef9() {
        return vdef9;
    }

    public void setVdef9(String vdef9) {
        this.vdef9 = vdef9;
    }

    public String getVmemo() {
        return vmemo;
    }

    public void setVmemo(String vmemo) {
        this.vmemo = vmemo;
    }

    public String getVordercode() {
        return vordercode;
    }

    public void setVordercode(String vordercode) {
        this.vordercode = vordercode;
    }

    public String getVrefusrsn() {
        return vrefusrsn;
    }

    public void setVrefusrsn(String vrefusrsn) {
        this.vrefusrsn = vrefusrsn;
    }

}

